using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ConfuseAbility : AoEAbility
{
    private float CONST_StatusDuration = 2.0f;
    private float CONST_Cooldown = 8.0f;
    private string CONST_Name = "AE Confusion";

    void Start()
    {
        Ready = true;
        SetInfo(CONST_Name, CONST_Cooldown);

        Icon = "icon-confuse";
    }

    public override void DoAction(Player _target)
    {
        _target.m_AffectingStatus.Add(new StatusConfused(CONST_StatusDuration));
    }
}
